Package com.complexible.stardog.virtual.api

# Class VirtualGraphOptions

java.lang.Object
com.complexible.stardog.virtual.api.VirtualGraphOptions

public abstract class VirtualGraphOptions extends Object
Options used by virtual graphs.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALLOW_INVALID_NAME`
  Allows a test to create a VG or DS with an invalid name
  `static final String`
  `ALLOW_REF_OBJECT_MAP_LEFT_JOIN`
  Allow creation of left joins when resolving parent refObjectMap fields with nullable FKs?
  `static final String`
  `ALLOW_UNAVAILABLE`
  Should the virtual graph or data source be allowed to be created if it will be immediately unavailable? This is primarily used for internal testing of unavailable VGs and DSs but can be expanded later if we wish to make this status changeable by users at runtime.
  `static final String`
  `BASE_URI`
  `static final String`
  `CHARSET_HANDLING`
  `static final String`
  `CSV_CLASS`
  `static final String`
  `CSV_ESCAPE`
  `static final String`
  `CSV_HASH_FUNCTION`
  `static final String`
  `CSV_HEADER`
  `static final String`
  `CSV_QUOTE`
  `static final String`
  `CSV_SEPARATOR`
  `static final String`
  `CSV_SKIP_EMPTY`
  `static final String`
  `DEFAULT_MAPPING_EXCLUDE_TABLES`
  Comma delimited list of tables to NOT generate mappings for.
  `static final String`
  `DEFAULT_MAPPING_INCLUDE_TABLES`
  Comma delimited list of tables to generate mappings for.
  `static final String`
  `EXPLAIN_FORMAT`
  Explain format.
  `static final String`
  `FORCE_UNAVAILABLE`
  Allows a test to cause a VG or DS to load as an unavailable graph or data source.
  `static final String`
  `MAPPINGS_FORMAT`
  The RDF format of the mappings file.
  `static final String`
  `MAPPINGS_SYNTAX`
  The syntax of the mappings - R2RML, SMS1, or SMS2.
  `static final String`
  `NAMESPACES`
  `static final String`
  `PARSER_QUOTING_ANSI`
  `static final String`
  `PARSER_SQL_QUOTING`
  `static final String`
  `PERCENT_ENCODE`
  `static final String`
  `SCHEMA_IN_GENERATED_MAPPINGS`
  `static final String`
  `SQL_FUNCTIONS`
  `static final String`
  `UNION_STRATEGY`
  `static final String`
  `VG_OPTION_R2RML`
  `static final Properties`
  `VG_OPTIONS_R2RML`
  `static final String`
  `VG_RESULT_BATCH_SIZE`
  When a VG is executed asynchronously, the results are pushed to the main query thread in batches.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VirtualGraphOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getBaseUriOption(Properties options)`
  `static com.stardog.stark.impl.NamespacesImpl`
  `getNamespacesOption(Properties options)`
  `static int`
  `getResultBatchSize(Properties options)`
  `static IRI`
  `getSubjectClass(Properties options)`
  `static boolean`
  `isAllowUnavailable(Properties options)`
  `static boolean`
  `isCharsetHandling(Properties options)`
  `static boolean`
  `isForceUnavailable(Properties options)`
  `static boolean`
  `isParserQuotingAnsi(Properties options)`
  `static boolean`
  `isPercentEncode(Properties options)`
  `static boolean`
  `isSchemaInIris(Properties options, boolean defaultValue)`
  `static void`
  `setNamespacesOption(Properties options, Namespaces namespaces)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BASE_URI

    public static final String BASE_URI
    See Also:
      - Constant Field Values

  - ### NAMESPACES

    public static final String NAMESPACES
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAPPING_INCLUDE_TABLES

    public static final String DEFAULT_MAPPING_INCLUDE_TABLES
    Comma delimited list of tables to generate mappings for. Blank means all tables in schema included. Cannot be combined with `DEFAULT_MAPPING_EXCLUDE_TABLES`
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAPPING_EXCLUDE_TABLES

    public static final String DEFAULT_MAPPING_EXCLUDE_TABLES
    Comma delimited list of tables to NOT generate mappings for. Blank means all tables in schema are included. Cannot be combined with `DEFAULT_MAPPING_INCLUDE_TABLES`
    See Also:
      - Constant Field Values

  - ### CSV_SEPARATOR

    public static final String CSV_SEPARATOR
    See Also:
      - Constant Field Values

  - ### CSV_QUOTE

    public static final String CSV_QUOTE
    See Also:
      - Constant Field Values

  - ### CSV_ESCAPE

    public static final String CSV_ESCAPE
    See Also:
      - Constant Field Values

  - ### CSV_HEADER

    public static final String CSV_HEADER
    See Also:
      - Constant Field Values

  - ### CSV_SKIP_EMPTY

    public static final String CSV_SKIP_EMPTY
    See Also:
      - Constant Field Values

  - ### CSV_HASH_FUNCTION

    public static final String CSV_HASH_FUNCTION
    See Also:
      - Constant Field Values

  - ### CSV_CLASS

    public static final String CSV_CLASS
    See Also:
      - Constant Field Values

  - ### PERCENT_ENCODE

    public static final String PERCENT_ENCODE
    See Also:
      - Constant Field Values

  - ### SCHEMA_IN_GENERATED_MAPPINGS

    public static final String SCHEMA_IN_GENERATED_MAPPINGS
    See Also:
      - Constant Field Values

  - ### UNION_STRATEGY

    public static final String UNION_STRATEGY
    See Also:
      - Constant Field Values

  - ### CHARSET_HANDLING

    public static final String CHARSET_HANDLING
    See Also:
      - Constant Field Values

  - ### PARSER_SQL_QUOTING

    public static final String PARSER_SQL_QUOTING
    See Also:
      - Constant Field Values

  - ### PARSER_QUOTING_ANSI

    public static final String PARSER_QUOTING_ANSI
    See Also:
      - Constant Field Values

  - ### SQL_FUNCTIONS

    public static final String SQL_FUNCTIONS
    See Also:
      - Constant Field Values

  - ### MAPPINGS_SYNTAX

    public static final String MAPPINGS_SYNTAX
    The syntax of the mappings - R2RML, SMS1, or SMS2. `VirtualGraphMappingSyntax`
    See Also:
      - Constant Field Values

  - ### VG_OPTION_R2RML

    public static final String VG_OPTION_R2RML

  - ### VG_OPTIONS_R2RML

    public static final Properties VG_OPTIONS_R2RML

  - ### MAPPINGS_FORMAT

    public static final String MAPPINGS_FORMAT
    The RDF format of the mappings file. Applies to R2RML syntax only. Values TURTLE, RDFXML, BINARY, etc. See `RDFFormats`
    See Also:
      - Constant Field Values

  - ### EXPLAIN_FORMAT

    public static final String EXPLAIN_FORMAT
    Explain format. Should take a value from `ExplainFormat`
    See Also:
      - Constant Field Values

  - ### ALLOW_UNAVAILABLE

    public static final String ALLOW_UNAVAILABLE
    Should the virtual graph or data source be allowed to be created if it will be immediately unavailable? This is primarily used for internal testing of unavailable VGs and DSs but can be expanded later if we wish to make this status changeable by users at runtime.
    See Also:
      - Constant Field Values

  - ### FORCE_UNAVAILABLE

    public static final String FORCE_UNAVAILABLE
    Allows a test to cause a VG or DS to load as an unavailable graph or data source.
    See Also:
      - Constant Field Values

  - ### ALLOW_INVALID_NAME

    public static final String ALLOW_INVALID_NAME
    Allows a test to create a VG or DS with an invalid name
    See Also:
      - Constant Field Values

  - ### ALLOW_REF_OBJECT_MAP_LEFT_JOIN

    public static final String ALLOW_REF_OBJECT_MAP_LEFT_JOIN
    Allow creation of left joins when resolving parent refObjectMap fields with nullable FKs?
    See Also:
      - Constant Field Values

  - ### VG_RESULT_BATCH_SIZE

    public static final String VG_RESULT_BATCH_SIZE
    When a VG is executed asynchronously, the results are pushed to the main query thread in batches. This property defines the batch size.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VirtualGraphOptions

    public VirtualGraphOptions()

- ## Method Details

  - ### getNamespacesOption

    public static com.stardog.stark.impl.NamespacesImpl getNamespacesOption(Properties options)

  - ### setNamespacesOption

    public static void setNamespacesOption(Properties options, Namespaces namespaces)

  - ### isAllowUnavailable

    public static boolean isAllowUnavailable(Properties options)

  - ### isForceUnavailable

    public static boolean isForceUnavailable(Properties options)

  - ### isPercentEncode

    public static boolean isPercentEncode(Properties options)

  - ### isCharsetHandling

    public static boolean isCharsetHandling(Properties options)

  - ### getBaseUriOption

    public static String getBaseUriOption(Properties options)

  - ### isSchemaInIris

    public static boolean isSchemaInIris(Properties options, boolean defaultValue)

  - ### getResultBatchSize

    public static int getResultBatchSize(Properties options)

  - ### isParserQuotingAnsi

    public static boolean isParserQuotingAnsi(Properties options)

  - ### getSubjectClass

    public static IRI getSubjectClass(Properties options)